package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tfb;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface TfbMapper {

    int insert(Tfb record);

    int insertSelective(Tfb record);

    int updateByPrimaryKeySelective(Tfb record);

    int updateByPrimaryKey(Tfb record);

    int deleteByPrimaryKey(Tfb record);

    int deleteByIds(Collection<Object> collection);

    Tfb selectByPrimaryKey(Tfb record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tfb> dyncRead(Map<String, Object> dyncMap);

}